UnmodifiableListIterator
Date: 2016-05-24

com.google.common.collect

## Class UnmodifiableListIterator<E>

- java.lang.Object
- - com.google.common.collect.UnmodifiableIterator<E>
  - - com.google.common.collect.UnmodifiableListIterator<E>

- All Implemented Interfaces:
    java.util.Iterator<E>, java.util.ListIterator<E>

      @GwtCompatible
      public abstract class UnmodifiableListIterator<E>
      extends UnmodifiableIterator<E>
      implements java.util.ListIterator<E>

  A list iterator that does not support `UnmodifiableIterator.remove()`, `add(E)`, or `set(E)`.
  Since:
    7.0

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `UnmodifiableListIterator()` Constructor for use by subclasses.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(E e)` Deprecated. Unsupported operation.
    `void` | `set(E e)` Deprecated. Unsupported operation.

    - ### Methods inherited from class com.google.common.collect.UnmodifiableIterator

      `remove`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.ListIterator

      `hasNext, hasPrevious, next, nextIndex, previous, previousIndex, remove`

- - ### Constructor Detail

    - #### UnmodifiableListIterator

          protected UnmodifiableListIterator()

      Constructor for use by subclasses.

  - ### Method Detail

    - #### add

          @Deprecated
          public final void add(E e)

      Deprecated. Unsupported operation.
      Guaranteed to throw an exception and leave the underlying data unmodified.
      Specified by:
        `add` in interface `java.util.ListIterator<E>`
      Throws:
        `java.lang.UnsupportedOperationException` - always

    - #### set

          @Deprecated
          public final void set(E e)

      Deprecated. Unsupported operation.
      Guaranteed to throw an exception and leave the underlying data unmodified.
      Specified by:
        `set` in interface `java.util.ListIterator<E>`
      Throws:
        `java.lang.UnsupportedOperationException` - always